using VOID.Generic.Objects.Unit;
using VOID.Generic.Player.Util;

namespace VOID.Generic.Player.DraggingOperation
{
    public abstract class AbstractDraggingOperation
    {
        public abstract bool Check(SelectUtilResult sourceSelect, SelectUtilResult targetSelect);
        public abstract void Perform(UnitObject unit, SelectUtilResult sourceSelect, SelectUtilResult targetSelect);
    }
}